Complete transaction

Completes transaction

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Path parameters

pidstringRequiredformat: "uuid"
Loyalty Program Id
tidstringRequiredformat: "uuid"
Transaction Id

Response

Transaction information
idstringOptionalformat: "uuid"

Unique identifier (UUID) of the transaction.

amountfloatOptional
The transaction amount.
transactionTypeenumOptional
The type of the transaction.
metamap from strings to anyOptional
Optional metadata associated with the transaction.
statusenumOptional
The current status of the transaction.
loyaltyProgramIdstringOptionalformat: "uuid"

Unique identifier (UUID) of the associated loyalty program.

balanceDefinitionIdstringOptionalformat: "uuid"

Unique identifier (UUID) of the associated balance definition.

contactIdlongOptional
Unique identifier of the contact associated with the transaction.
eventTimedatetimeOptional

Optional timestamp indicating when the transaction event occurred (ISO 8601 format).

rejectReasonstringOptional

Reason for rejection if the transaction was declined (nullable).

rejectedAtdatetimeOptional

Timestamp when the transaction was rejected (nullable).

expirationDatedatetimeOptional

Expiry date of the transaction (nullable).

completedAtdatetimeOptional

Timestamp when the transaction was completed (nullable).

cancelledAtdatetimeOptional

Timestamp when the transaction was canceled (nullable).

createdAtdatetimeOptional
Timestamp when the transaction was created.
updatedAtdatetimeOptional
Timestamp when the transaction was last updated.

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error